Subject: CCL:AutoDock/LINUX

From: Antoine <[email-masked]>
Date: Tue, 20 Mar 2001 14:30:58 +0100

Christian Pilger a écrit :

> Dear CCLers,
>
>         I have a question about the script "mol2topdbq" that comes with
> AutoDock 3.0.5. I changed the "nawk" in the very beginning to the
> awk-version I'm using on my PC (Suse Linux 7.1) "gawk", but this scripts
> does not work properly - upon exeution, I get the following message:
>
> gawk: cmd. line:33: fatal: expression for `<' redirection has null string
> value
>
> When I use the very same input mol2-file on our SGI, the same script
> (apart from nawk/gawk) works without any problems. Did anybody experience
> something similar and can give me a hint on how to fix it ?
>
> Ciao,
>
> Christian
>

Check the Autodock Home page and Autodock HOWTO for Linux  ...

http://foo.medstv.unimelb.edu.au/~pierre/autodock/AutoDock-HOWTO.html
"Abstract ":
Some of the supplied scripts in the share directory call the nawk program,
which is synonymous to awk. To fix the bug type the commands:

cd ${SRC}
perl -pi -e "s,nawk,awk," ${SRC}/dist_3.0/share/*

Best regards

Antoine

--
----------------------------------------------
Antoine FORTUNE

Ingénieur Modélisation Moléculaire

Département de Pharmacologie Moléculaire - DPM
UMR 5063 - Universite Joseph Fourier
Domainde de la Merci 38706 LA TRONCHE - FRANCE

Tel :  +33 4 76 63 71 40
Fax :  +33 4 76 51 86 67
e-mail : [email-masked]
ICQ : 106018150
----------------------------------------------